Name:           maven-archiver
Version:        3.0.0
Release:        %mkrel 2
Group:          Development/Java
Epoch:          0
Summary:        Maven Archiver
License:        ASL 2.0
URL:            http://maven.apache.org/shared/maven-archiver/
BuildArch:      noarch

Source0:        http://repo1.maven.org/maven2/org/apache/maven/%{name}/%{version}/%{name}-%{version}-source-release.zip

Patch0:         0001-Port-tests-to-Eclipse-Aether.patch
# Test fails with OpenJDK on Linux
# Reported upstream: https://issues.apache.org/jira/browse/MSHARED-448
Patch1:         0002-MSHARED-448-Skip-failing-assertion.patch

BuildRequires:  jpackage-utils >= 0:1.7.2
BuildRequires:  maven-local
BuildRequires:  maven-shared
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-shared-jar
BuildRequires:  plexus-interpolation
BuildRequires:  plexus-archiver >= 2.1-1
BuildRequires:  plexus-utils
BuildRequires:  apache-commons-parent

%description
The Maven Archiver is used by other Maven plugins
to handle packaging

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Tue Feb 23 2016 neoclust <neoclust> 0:3.0.0-2.mga6
+ Revision: 977277
- First rebuild of the java stack
- sync package maven-archiver with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:2.5-8.mga5
+ Revision: 749458
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Nov 04 2013 dmorgan <dmorgan> 0:2.5-6.mga4
+ Revision: 549404
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0:2.5-4.mga3
+ Revision: 359579
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 09 2012 dmorgan <dmorgan> 0:2.5-3.mga3
+ Revision: 268950
- Rebuild against new plexus-archiver

* Thu Jun 21 2012 tavvva <tavvva> 0:2.5-2.mga3
+ Revision: 262468
- Rebuild needed due to an API incompatibility

* Sat Jun 02 2012 gil <gil> 0:2.5-1.mga3
+ Revision: 253216
- update to 2.5

* Sun Dec 25 2011 dmorgan <dmorgan> 0:2.4.2-1.mga2
+ Revision: 187564
- Fix install
- Build with maven 3.x.

  + gil <gil>
    - update to 2.4.2 (fedora)

* Thu Apr 28 2011 dmorgan <dmorgan> 0:2.4.1-6.mga1
+ Revision: 92688
- Rebuild after bootstrapping
- imported package maven-archiver


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 8 2010 Alexander Kurtakov <akurtako@redhat.com> 0:2.4.1-4
- Add missing BR.

* Mon Nov 8 2010 Alexander Kurtakov <akurtako@redhat.com> 0:2.4.1-3
- Remove tests as they don't compile.

* Mon May 31 2010 Alexander Kurtakov <akurtako@redhat.com> 0:2.4.1-2
- BR java-devel >= 1:1.6.0.

* Sat May 29 2010 Alexander Kurtakov <akurtako@redhat.com> 0:2.4.1-1
- Update to 2.4.1.

* Wed Dec 23 2009 Alexander Kurtakov <akurtako@redhat.com> 0:2.4-1
- Update to 2.4.

* Mon Dec 21 2009 Alexander Kurtakov <akurtako@redhat.com> 0:2.2-3
- BR maven-surefire-provider-junit.

* Mon Aug 31 2009 Alexander Kurtakov <akurtako@redhat.com> 0:2.2-2
- Fix line length.
- Own only specific fragment and pom.

* Wed May 20 2009 Fernando Nasser <fnasser@redhat.com> 0:2.2-1
- Fix license
- Update instructions to obtain sources
- Refresh source tar ball

* Thu Jul 26 2007 Deepak Bhole <dbhole@redhat.com> 0:2.2-0jpp.1
- Initial build
